GET /bookings/graphs/:name/diagram
A PNG image will be returned with a Graphviz diagram of the selected flow graph.
Available graphs:
instant + confirm_decline
Explanation:
- Blue states are states where you can make an active choice
- Grey states are internal "autoplay" state that does a single job (send email, trigger webhook etc) and immediately trigger the next in line when done
- Black lines are transitions (actions) that you take, with the action name as the adjacent label
- Grey lines are internal transitions between "autoplay" actions. They will only stop if an error occurs.
Endpoint
GET https://api.timekit.io/v2/bookings/graphs/:name/diagram
Parameters
| Name | In | Type | Required | Default | Description |
|---|---|---|---|---|---|
name |
path | string | yes | The name of the graph |
Response examples
200
textContent-Type: image/png